#include "slash.h"
#include "commands/rules.h"
#include "commands/add.h"
#include "commands/remove.h"
#include "commands/clear.h"

void slash::execute(sql::Connection &con, dpp::cluster &bot, const dpp::slashcommand_t &event) {
    if (event.command.get_command_name() == "rules") return rules::execute(event);
    if (event.command.get_command_name() == "add") return add::execute(con, bot, event);
    if (event.command.get_command_name() == "remove") return remove::execute(con, bot, event);
    if (event.command.get_command_name() == "clear") return clear::execute(con, bot, event);
}